aboutsummaryrefslogtreecommitdiffstats
path: root/testing/luufs/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2015-03-12 21:04:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-16 14:15:27 +0000
commitacad9d4d65db6c22eff6a8bfc2328bb20928b58c (patch)
tree391d221617d11dff3936a32a133333261b4b0427 /testing/luufs/APKBUILD
parent226980d3d88595ba9765ef7694f6e9987bec698b (diff)
downloadaports-acad9d4d65db6c22eff6a8bfc2328bb20928b58c.tar.gz
aports-acad9d4d65db6c22eff6a8bfc2328bb20928b58c.tar.bz2
aports-acad9d4d65db6c22eff6a8bfc2328bb20928b58c.tar.xz
testing/luufs: new aport
Lazy man's, user-mode union file system http://rlsd.dimakrasner.com/
Diffstat (limited to 'testing/luufs/APKBUILD')
-rw-r--r--testing/luufs/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/luufs/APKBUILD b/testing/luufs/APKBUILD
new file mode 100644
index 0000000000..ae83f00fb2
--- /dev/null
+++ b/testing/luufs/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=luufs
+pkgver=05012015
+pkgrel=0
+pkgdesc="Lazy man's, user-mode union file system"
+url="http://rlsd.dimakrasner.com/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="fuse-dev zlib-dev"
+install=""
+subpackages="$pkgname-doc"
+source="${pkgname}-${pkgver}.zip::http://dimkr.insomnia247.nl/sources/luufs/luufs-git05012015.zip"
+_builddir=${srcdir}/${pkgname}-master
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR=$pkgdir install
+}
+
+md5sums="a78cc6eaa65892994e39336584631dd3 luufs-05012015.zip"
+sha256sums="719b4af200e55d97224b0427378f3a06829325355863a5201944482827930d30 luufs-05012015.zip"
+sha512sums="c93b59286f422aba32958b8ff147e9b1055fd145cabc5adcb6fefe9a4c9ad532e918734b34d84ef407440353f43278ef826c9ef400c1ee6d3082e30ea47e04bb luufs-05012015.zip"